Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common.impl
Class ThingsMarkup2Printable

    java.lang.Object
      things.common.impl.ThingsMarkup2Printable

    public class ThingsMarkup2Printable

extends java.lang.Object

This is a simple processor for markup'd strings. It assumes all data is Java String worthy, and as such is fully UTF-16 compliant.

Do note that these methods do full copy of data from source to destination.

Version:
  1.0

  Version History

      EPG - Initial - 26 MAR 05

Author:
  Erich P. Gatejen

Constructor Summary
`ThingsMarkup2Printable()`

Method Summary
`static void` | `engine(java.io.Reader in, java.io.Writer out, ThingsPropertyView props)` This is the processing engine.
`static java.lang.String` | `makePrintable(java.lang.String text)` This will make a printable string from a string.
`static java.lang.String` | `makePrintable(java.lang.String text, ThingsPropertyView props)` This will make a printable string from a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThingsMarkup2Printable

    public ThingsMarkup2Printable()

Method Detail

### makePrintable

    public static java.lang.String makePrintable(java.lang.String text)
                                          throws ThingsException

  This will make a printable string from a string. Any variables will be ignored.

  Parameters:
    `text` - The text of the string to be processed.
  Returns:
    The processed string.
  Throws:
    `ThingsException`

### makePrintable

    public static java.lang.String makePrintable(java.lang.String text,
                                                 ThingsPropertyView props)
                                          throws ThingsException

  This will make a printable string from a string. Variables will be matched to the passed ThingsPropertyView.

  Parameters:
    `text` - The text of the string to be processed.
    `props` - Property view for variables.
  Returns:
    The processed string.
  Throws:
    `ThingsException`
  See Also:
    `ThingsPropertyView`

### engine

    public static void engine(java.io.Reader in,
                              java.io.Writer out,
                              ThingsPropertyView props)
                       throws ThingsException

  This is the processing engine. In general, you shouldn't call this directly.

  Parameters:
    `in` - An input reader that is the source of data. If you need it buffered, do it yourself.
    `out` - An output writer that is the destination for data. If you need it buffered, do it yourself.
    `props` - Property view for variables.
  Throws:
    `ThingsException`
  See Also:
    `ThingsPropertyView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.